Summary: SQL / SQLI tokenizer parser analyzer library
Name: libinjection
Version: 3.10.0
Release: 0%{?dist}
License: BSD
URL: https://github.com/libinjection/libinjection
# wget --content-disposition https://codeload.github.com/libinjection/libinjection/tar.gz/refs/tags/v3.10.0
#Source0: https://github.com/libinjection/libinjection/archive/refs/tags/v%%{version}.tar.gz
Source0: %{name}-%{version}.tar.gz

%description
SQL / SQLI tokenizer parser analyzer library

%package devel
Summary: Development files for %{name}
Requires: %{name}%{_isa} = %{version}-%{release}

%description devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep

%setup -q

%build

pushd src

%{__cc} -fPIC %{optflags} -shared -Wl,-soname,libinjection.so.0 %{__global_ldflags} \
    -o libinjection.so.0.0.0 libinjection_sqli.c libinjection_html5.c libinjection_xss.c

    ln -s libinjection.so.0.0.0 libinjection.so.0.0
    ln -s libinjection.so.0.0.0 libinjection.so.0
    ln -s libinjection.so.0.0.0 libinjection.so

%{__cc} -fPIC %{optflags} -o reader reader.c -L. -linjection
popd

%install
install -d %{buildroot}%{_bindir}
install -d %{buildroot}%{_libdir}/pkgconfig
install -d %{buildroot}%{_includedir}

install -m0755 src/libinjection.so.0.0.0 %{buildroot}%{_libdir}/
pushd  %{buildroot}%{_libdir}
    ln -s libinjection.so.0.0.0 libinjection.so.0.0
    ln -s libinjection.so.0.0.0 libinjection.so.0
    ln -s libinjection.so.0.0.0 libinjection.so
popd

install -m0644 src/libinjection.h %{buildroot}%{_includedir}/
install -m0644 src/libinjection_html5.h %{buildroot}%{_includedir}/
install -m0644 src/libinjection_sqli.h %{buildroot}%{_includedir}/
install -m0644 src/libinjection_sqli_data.h %{buildroot}%{_includedir}/
install -m0644 src/libinjection_xss.h %{buildroot}%{_includedir}/

install -m0755 src/reader %{buildroot}%{_bindir}/


cat > %{buildroot}%{_libdir}/pkgconfig/libinjection.pc << EOF
# libinjection pkg-config file

prefix=%{_prefix}
exec_prefix=%{_exec_prefix}
libdir=%{_libdir}
includedir=%{_includedir}

Name: libinjection
Description: SQL / SQLI tokenizer parser analyzer library
URL: https://github.com/libinjection/libinjection
Version: %{version}
Requires:
Conflicts:
Libs: -L\${libdir} -linjection
Cflags: -I\${includedir}
EOF

%files
%{!?_licensedir:%global license %%doc}
%license COPYING
%doc README*
%{_bindir}/*
%{_libdir}/*.so.*

%files devel
%{!?_licensedir:%global license %%doc}
%license COPYING
%{_includedir}/*
%{_libdir}/pkgconfig/*.pc
%{_libdir}/*.so

%changelog
* Mon Dec 06 2021 Oden Eriksson <oe@nux.se> 3.10.0-0
- initial RPM package
